I’m amused

PHP errors peeking through the interface...

The huffduffer pop-up had the following warnings after I clicked "Huffduff It":

===== BEGIN ERROR MESSAGE =====
Warning: get_headers() [function.get-headers]: Unable to find the wrapper "https" - did you forget to enable it when you configured PHP? in /usr/home/huffduf/public_html/includes/functions/remote_file_size.php on line 5

Warning: get_headers() [function.get-headers]: This function may only be used against URLs in /usr/home/huffduf/public_html/includes/functions/remote_file_size.php on line 5

Warning: array_key_exists() expects parameter 2 to be array, boolean given in /usr/home/huffduf/public_html/includes/functions/remote_file_size.php on line 6

Warning: Cannot modify header information - headers already sent by (output started at /usr/home/huffduf/public_html/includes/functions/remote_file_size.php:5) in /usr/home/huffduf/public_html/index.php on line 40
Huffduffed!
Close

This window will self-destruct in 2 seconds.
===== END ERROR MESSAGE =====

It appears that it worked fine anyway, but you might want to know about the customer-facing PHP exceptions.
1 person has
this problem
+1
Reply